org.eclipse.gmt.modisco.infra.browser.uicore

## Class UnwrappingSelectionProvider

- java.lang.Object
- - org.eclipse.emf.edit.ui.provider.UnwrappingSelectionProvider
  - - org.eclipse.gmt.modisco.infra.browser.uicore.UnwrappingSelectionProvider

Deprecated.
Will be replaced by EMF Facet, cf https://bugs.eclipse.org/bugs/show_bug.cgi?id=470715

    @Deprecated
    public class UnwrappingSelectionProvider
    extends org.eclipse.emf.edit.ui.provider.UnwrappingSelectionProvider

Unwraps the a selection's elements, twice:

- First, unwrap the wrapper elements (such as `ModelElementItem`)
- Then, unwrap the Ecore wrappers (see `org.eclipse.emf.edit.ui.provider.UnwrappingSelectionProvider`, from which this class is derived).

You can use this `selection provider` to register a context menu on a viewer created using the `CustomizableModelContentProvider`, so that the menu actions will get the Ecore versions of the elements as the selection:

     getSite().registerContextMenu(MENU_ID, contextMenu, new UnwrappingSelectionProvider(treeViewer));

### Constructor Summary

Constructors
Constructor and Description
`UnwrappingSelectionProvider(ISelectionProvider selectionProvider)` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `setSelection(ISelection selection)` Deprecated.
`static java.lang.Object` `unwrapElement(java.lang.Object element)` Deprecated.
`static ISelection` `unwrapSelection(ISelection selection)` Deprecated. Replace proxy objects by their underlying Ecore objects in the given selection

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnwrappingSelectionProvider

    public UnwrappingSelectionProvider(ISelectionProvider selectionProvider)

Deprecated.

### Method Detail

#### setSelection

    public void setSelection(ISelection selection)

Deprecated.

#### unwrapSelection

    public static ISelection unwrapSelection(ISelection selection)

Deprecated.
Replace proxy objects by their underlying Ecore objects in the given selection

Returns:
  the unwrapped version of the selection

#### unwrapElement

    public static java.lang.Object unwrapElement(java.lang.Object element)

Deprecated.